import { env } from "./config/env.js";
import { AppRoutes } from "./presentation/routes.js";
import { Server } from "./presentation/server.js";


async function main() {
    const server = new Server( {
        port : env.PORT,
        routes : AppRoutes.routes,
});
    await server.start();

}

main();